<template>
  <div class="button-container">
    <Button type="text" color="dark" round size="sm" light v-if="!confirmationState" @click.native="confirmationState = true" :disabled="disabled">
      <template #icon>
        <DeleteIcon />
      </template>
    </Button>
    <div class="confirmation-container" v-else>
      <p>حذف شود؟</p>
      <Button type="text" color="dark" round size="sm" light class="confirm-button" @click.native="onDelete">
        <template #icon>
          <ConfirmIcon />
        </template>
      </Button>
      <Button type="text" color="dark" round size="sm" light class="cancle-button" @click.native="confirmationState = false">
        <template #icon>
          <CancleIcon />
        </template>
      </Button>
    </div>
  </div>
</template>

<script>
import DeleteIcon from "@/assets/svgs/delete.svg";
import CancleIcon from "@/assets/svgs/close.svg";
import ConfirmIcon from "@/assets/svgs/done.svg";
import Button from "@/components/base/Button";

export default {
  name: "InlineDeleteButton",
  components: {
    Button,
    DeleteIcon,
    ConfirmIcon,
    CancleIcon
  },
  data() {
    return {
      confirmationState: false
    }
  },
  methods: {
    onDelete() {
      this.confirmationState = false;
      this.$emit('delete');
    }
  },
  props: {
    disabled: {
      type: Boolean,
      default: false
    }
  }
}
</script>

<style lang="stylus" scoped>
@import '~assets/styles/variables'

.confirmation-container
  display flex
  align-items center

.confirm-button
  margin-left $xxsm

p
  margin-left $xsm
  @media only screen and (max-width 500px)
    display none
</style>